#
# spec file for package perl-AnyEvent
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-AnyEvent
Version:        5.34
Release:        1.pm.21.1
Summary:        DBI of Event Loop Programming
Source:         http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/AnyEvent-%{version}.tar.gz
Url:            http://search.cpan.org/dist/AnyEvent
Group:          Development/Libraries/Perl
License:        GNU General Public License version 2 or later or Artistic (GPLv2+ or Artistic)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl-macros
Recommends:     perl(Async::Interrupt) >= 1
Recommends:     perl(EV) >= 3.05
Recommends:     perl(Guard) >= 1.02
Recommends:     perl(JSON) >= 2.09
Recommends:     perl(JSON::XS) >= 2.2
Recommends:     perl(Net::SSLeay) >= 1.33

%description
AnyEvent provides a uniform interface to various event loops. This allows
module authors to use event loop functionality without forcing module
users to use a specific event loop implementation (since more than one
event loop cannot coexist peacefully).
The interface itself is vaguely similar, but not identical to the Event
module.

%prep
%setup -q -n "AnyEvent-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?_smp_flags}

%install
%perl_make_install
%perl_process_packlist

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/AE.pm
%{perl_vendorarch}/AnyEvent.pm
%{perl_vendorarch}/AnyEvent/DNS.pm
%{perl_vendorarch}/AnyEvent/Debug.pm
%doc %{perl_vendorarch}/AnyEvent/FAQ.pod
%{perl_vendorarch}/AnyEvent/Handle.pm
%dir %{perl_vendorarch}/AnyEvent/Impl
%{perl_vendorarch}/AnyEvent/Impl/Cocoa.pm
%{perl_vendorarch}/AnyEvent/Impl/EV.pm
%{perl_vendorarch}/AnyEvent/Impl/Event.pm
%{perl_vendorarch}/AnyEvent/Impl/EventLib.pm
%{perl_vendorarch}/AnyEvent/Impl/Glib.pm
%{perl_vendorarch}/AnyEvent/Impl/IOAsync.pm
%{perl_vendorarch}/AnyEvent/Impl/Irssi.pm
%{perl_vendorarch}/AnyEvent/Impl/POE.pm
%{perl_vendorarch}/AnyEvent/Impl/Perl.pm
%{perl_vendorarch}/AnyEvent/Impl/Qt.pm
%{perl_vendorarch}/AnyEvent/Impl/Tk.pm
%doc %{perl_vendorarch}/AnyEvent/Intro.pod
%{perl_vendorarch}/AnyEvent/Socket.pm
%{perl_vendorarch}/AnyEvent/Strict.pm
%{perl_vendorarch}/AnyEvent/TLS.pm
%{perl_vendorarch}/AnyEvent/Util.pm
%dir %{perl_vendorarch}/AnyEvent/Util
%{perl_vendorarch}/AnyEvent/Util/idna.pl
%{perl_vendorarch}/AnyEvent/Util/uts46data.pl
%{perl_vendorarch}/AnyEvent/constants.pl
%{perl_vendorarch}
%doc %{perl_man3dir}/*.%{perl_man3ext}%{ext_man}
%changelog
* Sat Jun 11 2011 pascal.bleser@opensuse.org
- switch to bm.pl, as cpanspec created an RPM that didn't provide
  perl(AnyEvent)
* Sat Jun 11 2011 pascal.bleser@opensuse.org
- update to 5.34:
  * AE::TLS didn't support both cert_file and key at the same time, due to some
    copy&paste bug
  * improve AE::Handle timeout documentation slightly
- changes from 5.33:
  * AnyEvent::Handle on_connect_error - do not try to destroy a handle object
    when it's already gone
  * update idna algorithm(s) to UTS#46 version 6.0.0
  * preserve trailing dot in idn_to_ascii - testsuite says to preserve, uts46
    says it's an error, and testsuite makes more sense
  * remove leading dots in idn_to_ascii - testsuite says to remove, uts46 says
    it's an error, and testsuite makes more sense
  * fixed a bug in idn ignored character processing
- changes from 5.31:
  * work around a POE bug where POE would first poll for new events and invoke
    handlers BEFORE handling the message queue
  * fix parsing of "domain" statement in resolv.conf
  * stop_read now does just that in TLS mode; see its documentation for caveats
  * update to common::sense 3.4 warning set (some warnings in perl impose an
    arbitrary 32kb limit on regex matches, which affects AnyEvent::Handle)
  * AE::Handle had a broken rbuf_max method and missing wbuf_max method
  * new experimental AE::Handle::resettls method
- changes from 5.3:
  * major IOAsync patch by Paul Evans - 0.33 is required, as the major issues
    with IO::Async have been solved in that version, including the availabilty
    of a default loop!
  * implement new wbuf_max parameter for AnyEvent::Handle
  * added Cocoa::EventLoop backend
  * set CLOEXEC flag on parent-side fd's in AnyEvent::Util::run_cmd, to avoid
    leaking them to any child processes
  * try to force files into the arch-dependend lib directory, for the
    half-"turly obsessive compulsive person"(s) that depend on it
- changes from 5.29:
  * convert EV backend to EV 4.00 API (so better upgrade EV too)
  * AE::Handle: implement dynamic read_size adjustment, add max_read_size
    parameter, reduce default read_size to 2048
  * add some FAQ entries for servers and/or on_eof vs. on_error
  * reduce memory usage slightly when connect was used in AE::Handle
  * work around more segfaults in Tk
  * document tls_ctx => undef as valid
  * detect WNOHANG value at compiletime
  * include some probably linux-only support for building AnyEvent as part of
    the perl core
  * make AnyEvent::Strict truly optional (in case somebody builds a minimal perl...)
- changes from 5.28:
  * due to a glitch, AnyEvent's internal getprotobyname wasn't actually used in
    tcp_server
  * implement AnyEvent::CondVar->new method, which was documented but missing
  * support autoloading of read types in unshift_read
  * AnyEvent::Strict: do the test for invalid fh arguments differently,
    resulting in more informative error messages
  * new AnyEvent::FAQ manpage
  * clarify that you can actually call push_read etc. in on_read
  * put keys and certs in /tmp, not into the current directory and document
    this in the SECURITY CONSIDERATIONS sections of AnyEvent::TLS
  * support ";" as resolv.conf comment character in AnyEvent::DNS
  * AnyEvent::Handle now croaks when negative timeouts are passed
  * add a shitload of TCP_xxx sockopt name constants to AnyEvent::Util,
    undocumented, but who knows when they might come in handy
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Jul  6 2010 chris@computersalat.de
- update to 5.271
  - backport to perl 5.8.x.
- 5.27   Sun Jun  6 12:12:05 CEST 2010
  - postpone differently in AnyEvent::Socket now, as
    when not, canceling the connection attempt might fail
    (found by Felix Antonius Wilhelm Ostmann).
  - explicitly check for non-stream sockets in AE::Handle, too many
    clueless people fell into the trap of this somehow working.
  - simplified and reworked the "OTHER MODULES" section.
  - better/more condvar examples.
- spec created by cpanspec 1.78
* Wed May  5 2010 lnussel@suse.de
- don't package empty vendorarch directory
* Thu Apr 29 2010 lnussel@suse.de
- make noarch
* Thu Apr 29 2010 lnussel@suse.de
- new version 2.261
  - AF_INET6 was not properly used from Socket6 during configuration
  time (found by Andy Grundman).
  - don't generate spurious readyness notifications when select
  returns EINTR in the pure perl backend (analysed and testcase
  by Bas Denissen).
  - give same examples in SYNOPSIS sections of AnyEvent and AE.
  - provider faster implementations for AE::time/now/now_update for
  EV and Perl backends.
  - provide faster AE::cv and AE::time implementations for all
  backends.
  - no longer support lower/mixed-case signal names (this was
  never documented nor universally supported).
  - some more memory-optimisations, and somewhat less messy
  code to cope with both AnyEvent and AE APIs.
* Tue Mar 16 2010 lnussel@suse.de
- new version 5.251
  - fix a race condition in AnyEvent::Handle that would cause
    a "bio_read: unsupported method" error (in _another_
    ssl connection) after user code threw an exception.
  - added AnyEvent::Handle->destroyed method.
  - speed up AnyEvent::Socket::format_address and ::format_ipv6.
  - the AnyEvent::Util::fh_nonblocking function worked only
    by lucky accident on win32.
  - smaller and faster AnyEvent::Util::fh_nonblocking.
  - when the (required!) Time::HiRes module is missing, AnyEvent
    did not fall back to built-in time properly.
  - do not load Fcntl at runtime, saving memory and loading time.
  - precompile a number of constants and use them instead of runtime
    detection and eval.
  - free detection code after detection and similar memory optimisations.
  - Perl backend timer interval best effort drift has been improved
    (ame algorithm as EV).
  - update unicode idna mapping table.
* Fri Feb 26 2010 lnussel@suse.de
- new version 5.24
  - JSON dependency optional
  - IDN support
  - IPv6 support
* Fri Sep  4 2009 chris@computersalat.de
- spec mods
  o added header
  o added perl-macros
  o cleanup
- fixed deps
  o Requires
    perl = perl_version
    perl(JSON) >= 2.09
  o added Recommends
    perl(EV) >= 3.4
    perl(JSON::XS) >= 2.2
    perl(Async::Interrupt) >= 1.0
    perl(Net::SLeay) >= 1.33
    perl(Guard) >= 1.02
* Thu Jun 11 2009 jw@novell.com
- initial build of AnyEvent-4.352.tar.gz
